View Issue Details

IDProjectCategoryView StatusLast Update
0005563mantisbtbugtrackerpublic2005-12-04 18:39
Reportergarethfiler Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version1.0.0a2 
Target VersionFixed in Version 
Summary0005563: Reverting a bug back to Resolved when the bug was closed
Description

Should I be able to revert a closed bug back to Resolved when a bug had previously been closed?

I had a bug which was set to closed.

  1. I opened the bug 00001 to view the Issue simple details screen.
  2. I selected Resolved from the drop down box under"Change status To"
  3. In the resolve issue screen I said the bug 00001 was a duplicate of itself.
  4. The closed bug was returned to resolved status but in the Relationships list it has two relationships to this bug 00001 and 00001.

I would have though you would have stopped the issue 00001 being set back to any other state before closed. And maybe force the user to create another issue which can then have a relationship to the closed issue???

I hope this makes sence, if not please email me.

TagsNo tags attached.

Relationships

child of 0005460 closedvboctor Critical Issues to Fix for Mantis 1.0.0 Release 

Activities

thraxisp

thraxisp

2005-06-03 15:46

reporter   ~0010356

You should not be able to mark an issue as a duplicate of itself when resolving it. An error should result and the issues will be left as they were.

Was the issue closed when you started this process?

motobass

motobass

2005-07-18 11:46

reporter   ~0010857

Last edited: 2005-07-27 15:15

According to the description, the bug was closed when they started the process. It looks like from the view simple screen, they changed the status to resolved, on the next screen related it to itself, and then successfully submitted it.

So, an issue should not be allowed to be related to itself (as noted above). Setting it back to another state once closed is and should be configurable based on login type, right?

Issue History

Date Modified Username Field Change
2005-05-03 11:00 garethfiler New Issue
2005-05-31 14:12 thraxisp Relationship added child of 0005460
2005-06-03 15:46 thraxisp Note Added: 0010356
2005-06-03 15:46 thraxisp Status new => feedback
2005-07-18 11:46 motobass Note Added: 0010857
2005-07-27 15:15 motobass Note Edited: 0010857
2005-12-04 18:39 jlatour Status feedback => acknowledged